SDIFF(1)

NAZWA
sdiff - znajduje różnice między dwoma plikami i scala je interaktywnie

SKŁADNIA
sdiff -o plik-wyj [opcje] plik1 plik2

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo sdiff
lub
    info sdiff.

Polecenie sdiff scala dwa pliki i interaktywnie wypisuje otrzymany wynik do pliku-wyj.

Jeśli plik1 jest katalogiem a plik2 nie, to sdiff będzie porównywał znajdujący się w katalogu plik1 plik o tej samej nazwie, co plik2, i odwrotnie. Oba argumenty plik1 i plik2 nie mogą być równocześnie katalogami.

Opcje sdiff zaczynają się od -, więc normalnie nazwy plik1 ani plik2 nie mogą się zaczynać od kreski. Jednak użycie argumentu -- powoduje, że występujące po nim argumenty wiersza poleceń są traktowane jak nazwy plików, nawet jeśli zaczynają się kreską.

Nie można użyć - jako pliku wejściowego.

sdiff bez opcji -o (lub --output) tworzy różnicę wyświetlaną w równoległych kolumnach. Składnia ta jest przestarzała; zamiast niej należy stosować diff --side-by-side.

OPCJE
Poniżej wymieniono wszystkie opcje akceptowane przez GNU sdiff . Większość opcji posiada dwie równoważne formy, jedną z nich jest pojedyncza litera poprzedzona kreską -, a drugą pełna nazwa poprzedzona przez --. Kilka pojedynczych liter opcji (nie wymagających argumentu) można łączyć w pojedynczy argument wiersza poleceń. Opcje w formie pełnej nazwy mogą być skracane do dowolnego unikalnego przedrostka.

Większość opcji sdiff ma to samo znaczenie, co dla diff:
    -a -b -d -i -t -v
    -B -H -I regexp
    --ignore-blank-lines --ignore-case
    --ignore-matching-lines=regexp --ignore-space-change
    --left-column --minimal --speed-large-files
    --suppress-common-lines --expand-tabs
    --text --version --width=kolumny
Zauważ, że opcje -W i -w mają w sdiff w stosunku do diff zamienione znaczenie. Korzystanie z długiej postaci opcji zmniejszy ryzyko pomyłek.

-a

--text
    Traktowanie wszystkich plików jako pliki tekstowe i porównywanie ich linia po linii, nawet jeśli nie wyglądają one na pliki tekstowe.

-b

--ignore-space-change
    Ignorowanie zmian w ilości odstępów (białych znaków).

-B

--ignore-blank-lines
    Ignorowanie zmian, które jedynie dodają lub usuwają puste linie.

-d

--minimal
    Zmiana algorytmu na taki, który może czasami znaleźć mniejszą liczbę zmian. Spowalnia to działania sdiff (czasami bardzo znacznie).

-H

--speed-large-files
    Użycie algorytmów heurystycznych aby przyspieszyć przeszukiwanie dużych plików ze znaczną liczbą rozrzuconych małych zmian.

-t

--expand-tabs
    Rozszerzanie tabulatorów do spacji na wyjściu, aby zachować oryginalne ułożenie tabulatorów pliku wejściowego.

-i

--ignore-case
    Ignorowanie zmian w wielkości liter, duże i małe litery są uznawane za równoważne.

-I regexp

--ignore-matching-lines=regexp
    Ignorowanie zmian, które jedynie dodają lub usuwają linie pasujące do wyrażenia regularnego regexp.

-W

--ignore-all-space
    Ignorowanie wszystkich odstępów przy porównywaniu plików. Warto pamiętać, że, z przyczyn historycznych, opcja ta nazywa się -w w programie diff, zaś -W w sdiff.

-l

--left-column
    Wyświetlenie jedynie lewej kolumny z dwóch wspólnych w formacie jedna obok drugiej.

-o plik

--output=plik
    Wstawia scalone wyjście do pliku. Wymagana do scalania.

-s

--suppress-common-lines
    Powoduje, że wspólne linie nie będą wypisywane.

-w kolumny

--width=kolumny
    Użycie szerokości wyjścia kolumny w formacie jedna obok drugiej. Warto pamiętać, że, z przyczyn historycznych, opcja ta nazywa się -W w programie diff, zaś -w w sdiff.

--help
    Wyświetlenie informacji o stosowaniu programu i dostępnych opcjach.

-v

--version
    Wyświetlenie numeru wersji programu.

KOPIOWANIE
Plik ten powstał na podstawie podręcznika info pakietu diffutils. Copyright (C) 1992, 1993, 1994 Free Software Foundation, Inc. Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies. Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one. Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be stated in a translation approved by the Foundation.

DIAGNOSTYKA
Zwracana wartość 0 oznacza, że nie odnaleziono różnic, 1 znaczy różnice, a 2 kłopoty.

ZOBACZ TAKŻE
cmp(1), comm(1), diff(1), diff3(1).